# -*- mode: rpm-spec; coding: utf-8 -*-
%define cid	\{8b86149f-01fb-4842-9dd8-4d7eb02fd055\}
%define ciddir  %firefox_noarch_extensionsdir/%cid
%define sversion 0.22.1

Name: firefox-allinonegestures
Version: 0.22.1
Release: alt2

Summary: A Firefox extension that includes mouse gestures, and other advanced navigation techniques
Summary(ru_RU.UTF-8): Расширение Firefox, включающее "жесты" мышью и другие передовые возможности навигации
License: MPL/GPL/LGPL
Group: Networking/WWW
BuildArch: noarch
Url: http://pagesperso-orange.fr/marc.boullet/ext/extensions-en.html

Packager: Alexey Morozov <morozov@altlinux.org>

BuildRequires(pre): 	rpm-build-firefox unzip
Conflicts:		%firefox_name-mozgest

#Source0: allinonegest%sversion.xpi
Source0: allinonegest.xpi

%description
All-In-One Gestures is a Firefox extension that includes several others
navigation extensions:

   1. Mouse Gestures by Optimoz group

   2. Rocker navigation by Ted Mielczarek, Optimoz and Mark Boullet

   3. Tab scroller by Joe4711

   4. History scroller by mozzmike

   5. Link tooltip by Marc Bouller

   6. Autoscrolling by skidooer

%description -l ru_RU.UTF-8
Жесты "Все-в-одном" - это расширение для браузера Firefox, которое
включает в себя несколько других расширений, реализующих передовые
идеи в управлении поведением браузера:

   1. "Жесты" мышью от группы Optimoz

   2. Навигацию "качалкой" от Ted Mielczarek, Optimoz и Mark Boullet

   3. Прокрутку вкладок от Joe4711

   4. Прокрутку истории от mozzmike

   5. Подсказки для ссылок от Mark Boullet

   6. Автопрокрутка от skidooer

%prep
%setup -c
sed -i -e 's,\(<em:maxVersion>\)6\.\*\(</em:maxVersion>\),\17.*\2,' install.rdf

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir
touch %buildroot/%ciddir/chrome.manifest

%files
%ciddir

%changelog
* Fri Oct 14 2011 Alexey Morozov <morozov@altlinux.org> 0.22.1-alt2
- an attempt to make it work with Firefox 7

* Tue Aug 02 2011 Alexey Gladkov <legion@altlinux.ru> 0.22.1-alt1
- new version (0.22.1)

* Fri May 13 2011 Alexey Morozov <morozov@altlinux.org> 0.22-alt1
- NMU: new version (0.22) which officially supports FF4

* Mon Apr 25 2011 Alexey Morozov <morozov@altlinux.org> 0.21.1-alt2
- NMU: make installer be compatible with Firefox-4.0

* Mon Sep 27 2010 Alexey Morozov <morozov@altlinux.org> 0.21.1-alt1
- NMU: new version

* Thu Feb 18 2010 Alexey Morozov <morozov@altlinux.org> 0.21.0-alt1
- NMU: new version, compatible with Firefox-3.6

* Wed Jul 22 2009 Alexey Morozov <morozov@altlinux.org> 0.19.3-alt0.4
- NMU: make compatible with Firefox-3.5.1

* Fri May  8 2009 Alexey Morozov <morozov@altlinux.org> 0.19.3-alt0.3
- NMU: make compatible with Firefox-3.5

* Fri May  8 2009 Alexey Morozov <morozov@altlinux.org> 0.19.3-alt0.2
- NMU: make compatible with Firefox-3.1 and updated rpm-build-firefox

* Sun Dec  7 2008 Alexey Morozov <morozov@altlinux.org> 0.19.3-alt0.1
- NMU (new version)
- clean up spec according to the latest rules

* Mon Mar 26 2007 Alexey Morsov <swi@altlinux.ru> 0.18.0-alt2
- to solve rebuild in Sisyphus repo

* Thu Dec 07 2006 Alexey Morsov <swi@altlinux.ru> 0.18.0-alt1
- rebuild new version for firefox 2.0

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.17.3-alt3
- rebuild with firefox 1.5.0.4

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 0.17.3-alt2
- rebuild with firefox 1.5.0.3

* Mon Feb 20 2006 Alexey Gladkov <legion@altlinux.ru> 0.17.3-alt1
- new version
- rebuild with firefox 1.5.0.1 .

* Mon Dec 19 2005 Alexey Gladkov <legion@altlinux.ru> 0.17-alt1
- new version.

* Thu Nov 10 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.16-alt3.1
- rebuild with new firefox.

* Thu Oct 13 2005 Konstantin A Lepikhov (L.A. Kostis) <lakostis@altlinux.ru> 0.16-alt3
- rebuild with new firefox.

* Tue Aug 16 2005 Alexey Gladkov <legion@altlinux.ru> 0.16-alt2
- bugfix rebuild.

* Mon Aug 15 2005 Alexey Gladkov <legion@altlinux.ru> 0.16-alt1.1
- Rebuild with new firefox.

* Mon Jun 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.16-alt1
- new version;

* Wed Apr 27 2005 Alexey Gladkov <legion@altlinux.ru> 0.14.2-alt1
- new version;
- resuires fix;

* Thu Mar 10 2005 Alexey Gladkov <legion@altlinux.ru> 0.13.4-alt2
- spec modification;
- postscript bugfix;

* Wed Mar  9 2005 Alexey Morozov <morozov@altlinux.org> 0.13.4-alt1
- New version (0.13.4)
- Spec is adopted to new firefox plugins macros

* Fri Oct 29 2004 Alexey Morozov <morozov@altlinux.org> 0.12.5-alt1
- Initial build for ALT Linux


